# GeneratorConventions

class xsdata.models.config.GeneratorConventions(class_name=<factory>, field_name=<factory>, constant_name=<factory>, module_name=<factory>, package_name=<factory>)

  Generator global naming conventions.

  Parameters:

    - class_name (`NameConvention`) – Class naming conventions.

    - field_name (`NameConvention`) – Field naming conventions.

    - module_name (`NameConvention`) – Module naming conventions.

    - package_name (`NameConvention`) – Package naming conventions.

  __eq__(other)

    Return self==value.

  __hash__ = None